{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}
 
{block name='product_flags'}
    <ul class="product-flags js-product-flags">
        
        {foreach from=$product.flags item=flag}
            <li class="product-flag {$flag.type}">{$flag.label}</li>
        {/foreach}
        
        {* 27.09.23 - Webbax | PrestaShop 8 - TUTO 17 *}
        {fetch file="{$urls.base_url}/modules/customfields/customfields.csv" assign='customfields_csv'}
        {assign var=customfields_csv_clean value=$customfields_csv|replace:"\r\n":''}

        {assign var=customfields_lines value=""|explode:$customfields_csv_clean}
        {foreach from=$customfields_lines item=line}

            {assign var=fields value=";"|explode:$line}   
            {foreach from=$fields key='field' item=value}    
           
                {if $product.id_product == $value}
                    <li>
                        <div class="container-sale-arg-info">
                            {if isset($fields.1)}<span class="sale-arg-info">{$fields.1}</span>{/if}
                            {if isset($fields.2)}<span class="sale-arg-info">{$fields.2}</span>{/if}
                            {if isset($fields.3)}<span class="sale-arg-info">{$fields.3}</span>{/if}
                        </div>
                    </li>
                {/if}
            {/foreach}
        {/foreach}
        
    </ul>
        
{/block}
